Create a Simulation of a ready Simulator
curl --request POST \
--url https://api.continuouslabs.ai/v1/simulations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"clock_start": "2026-01-15T12:00:00Z",
"seed": "demo-seed"
},
"labels": {
"environment": "demo"
},
"simulator_id": "smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.continuouslabs.ai/v1/simulations"
payload := strings.NewReader("{\n \"config\": {\n \"clock_start\": \"2026-01-15T12:00:00Z\",\n \"seed\": \"demo-seed\"\n },\n \"labels\": {\n \"environment\": \"demo\"\n },\n \"simulator_id\": \"smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://api.continuouslabs.ai/v1/simulations"
payload = {
"config": {
"clock_start": "2026-01-15T12:00:00Z",
"seed": "demo-seed"
},
"labels": { "environment": "demo" },
"simulator_id": "smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {clock_start: '2026-01-15T12:00:00Z', seed: 'demo-seed'},
labels: {environment: 'demo'},
simulator_id: 'smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5'
})
};
fetch('https://api.continuouslabs.ai/v1/simulations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"clock_start": "2026-01-15T12:00:00Z",
"created_at": "2026-01-15T12:00:00Z",
"endpoint": "https://api.continuouslabs.ai/sim/sim_01J8Z5X4K7M2N9P0Q1R2S3T4V6",
"id": "sim_01J8Z5X4K7M2N9P0Q1R2S3T4V6",
"labels": {
"environment": "demo"
},
"name": "billing-sandbox",
"parent": "",
"seed": "demo-seed",
"simulator_id": "smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5",
"status": "running",
"token": "<redacted>"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}Simulations
Create a Simulation of a ready Simulator
Starts a ready Simulator as an isolated Simulation. The response includes its data-plane endpoint and one-time access token.
POST
https://api.continuouslabs.ai
/
v1
/
simulations
Create a Simulation of a ready Simulator
curl --request POST \
--url https://api.continuouslabs.ai/v1/simulations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"clock_start": "2026-01-15T12:00:00Z",
"seed": "demo-seed"
},
"labels": {
"environment": "demo"
},
"simulator_id": "smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.continuouslabs.ai/v1/simulations"
payload := strings.NewReader("{\n \"config\": {\n \"clock_start\": \"2026-01-15T12:00:00Z\",\n \"seed\": \"demo-seed\"\n },\n \"labels\": {\n \"environment\": \"demo\"\n },\n \"simulator_id\": \"smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://api.continuouslabs.ai/v1/simulations"
payload = {
"config": {
"clock_start": "2026-01-15T12:00:00Z",
"seed": "demo-seed"
},
"labels": { "environment": "demo" },
"simulator_id": "smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {clock_start: '2026-01-15T12:00:00Z', seed: 'demo-seed'},
labels: {environment: 'demo'},
simulator_id: 'smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5'
})
};
fetch('https://api.continuouslabs.ai/v1/simulations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"clock_start": "2026-01-15T12:00:00Z",
"created_at": "2026-01-15T12:00:00Z",
"endpoint": "https://api.continuouslabs.ai/sim/sim_01J8Z5X4K7M2N9P0Q1R2S3T4V6",
"id": "sim_01J8Z5X4K7M2N9P0Q1R2S3T4V6",
"labels": {
"environment": "demo"
},
"name": "billing-sandbox",
"parent": "",
"seed": "demo-seed",
"simulator_id": "smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5",
"status": "running",
"token": "<redacted>"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}{
"code": "simulator_not_ready",
"detail": "simulator is not ready"
}Authorizations
apiKeyAuthsessionBearerAuthsessionCookie
Use a Continuous API key. Send it in the Authorization header as a Bearer token.
Headers
Required with a sealed session on workspace-scoped routes. API keys carry their workspace.
Body
application/json
Response
OK
Show child attributes
Show child attributes
Available options:
running, paused, stopped A URL to the JSON Schema for this object.
Example:
"https://example.com/schemas/Simulation.json"
